OpenJPH: /build/openjph/src/OpenJPH/tests/test_executables.cpp File Reference

OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
test_executables.cpp File Reference
`#include <array>`
`#include <string>`
`#include "ojph_arch.h"`
`#include "gtest/gtest.h"`

Go to the source code of this file.

## Macros
#define | SRC_FILE_DIR "./jp2k_test_codestreams/openjph/"
#define | OUT_FILE_DIR "./"
#define | REF_FILE_DIR "./jp2k_test_codestreams/openjph/references/"
#define | MSE_PAE_PATH "./mse_pae"
#define | COMPARE_FILES_PATH "./compare_files"
#define | EXPAND_EXECUTABLE "./ojph_expand"
#define | COMPRESS_EXECUTABLE "./ojph_compress"
#define | TOL_DOUBLE 0.01
#define | TOL_INTEGER 1

## Functions
static FILE * | ojph_popen (const char *command, const char *modes)
static int | ojph_pclose (FILE *stream)
static int | execute (const std::string &cmd, std::string &result)
void | run_ojph_compress (const std::string &ref_filename, const std::string &base_filename, const std::string &extended_base_fname, const std::string &out_ext, const std::string &extra_options)
void | run_ojph_expand (const std::string &base_filename, const std::string &src_ext, const std::string &out_ext)
void | run_ojph_compress_expand (const std::string &base_filename, const std::string &out_ext, const std::string &decode_ext)
void | run_mse_pae (const std::string &base_filename, const std::string &out_ext, const std::string &ref_filename, const std::string &yuv_specs, int num_components, double *mse, int *pae)
void | compare_files (const std::string &base_filename, const std::string &extended_base_fname, const std::string &ext)
| TEST (TestExecutables, OpenJPHCompressNoArguments)
| TEST (TestExecutables, OpenJPHExpandNoArguments)
| TEST (TestExecutables, SimpleDecIrv9764x64)
| TEST (TestExecutables, SimpleDecIrv9732x32)
| TEST (TestExecutables, SimpleDecIrv9716x16)
| TEST (TestExecutables, SimpleDecIrv974x4)
| TEST (TestExecutables, SimpleDecIrv971024x4)
| TEST (TestExecutables, SimpleDecIrv974x1024)
| TEST (TestExecutables, SimpleDecIrv97512x8)
| TEST (TestExecutables, SimpleDecIrv978x512)
| TEST (TestExecutables, SimpleDecIrv97256x16)
| TEST (TestExecutables, SimpleDecIrv9716x256)
| TEST (TestExecutables, SimpleDecIrv97128x32)
| TEST (TestExecutables, SimpleDecIrv9732x128)
| TEST (TestExecutables, SimpleDecRev5364x64)
| TEST (TestExecutables, SimpleDecRev5332x32)
| TEST (TestExecutables, SimpleDecRev534x4)
| TEST (TestExecutables, SimpleDecRev531024x4)
| TEST (TestExecutables, SimpleDecRev534x1024)
| TEST (TestExecutables, SimpleDecIrv9764x64Yuv)
| TEST (TestExecutables, SimpleDecRev5364x64Yuv)
| TEST (TestExecutables, SimpleDecIrv9764x64TilesYuv)
| TEST (TestExecutables, SimpleDecRev5364x64TilesYuv)
| TEST (TestExecutables, SimpleDecIrv9764x64TilesLRCP)
| TEST (TestExecutables, SimpleDecIrv9764x64TilesRLCP)
| TEST (TestExecutables, SimpleDecIrv9764x64TilesRPCL)
| TEST (TestExecutables, SimpleDecIrv9764x64TilesPCRL)
| TEST (TestExecutables, SimpleDecIrv9764x64TilesCPRL)
| TEST (TestExecutables, SimpleDecIrv9764x64TilesLRCP33)
| TEST (TestExecutables, SimpleDecIrv9764x64TilesRLCP33)
| TEST (TestExecutables, SimpleDecIrv9764x64TilesRPCL33)
| TEST (TestExecutables, SimpleDecIrv9764x64TilesPCRL33)
| TEST (TestExecutables, SimpleDecIrv9764x64TilesCPRL33)
| TEST (TestExecutables, SimpleDecIrv9764x64TilesLRCP33x33)
| TEST (TestExecutables, SimpleDecIrv9764x64TilesRLCP33x33)
| TEST (TestExecutables, SimpleDecIrv9764x64TilesRPCL33x33)
| TEST (TestExecutables, SimpleDecIrv9764x64TilesPCRL33x33)
| TEST (TestExecutables, SimpleDecIrv9764x64TilesCPRL33x33)
| TEST (TestExecutables, SimpleDecRev5364x64GrayTiles)
| TEST (TestExecutables, SimpleDecIrv9764x64GrayTiles)
| TEST (TestExecutables, SimpleDecIrv9764x6416bit)
| TEST (TestExecutables, SimpleDecIrv9764x6416bitGray)
| TEST (TestExecutables, SimpleDecRev5364x6416bit)
| TEST (TestExecutables, SimpleDecRev5364x6416bitGray)
| TEST (TestExecutables, SimpleDecIrv53BhvhbLowLatency)
| TEST (TestExecutables, SimpleEncIrv9764x64)
| TEST (TestExecutables, SimpleEncIrv9732x32)
| TEST (TestExecutables, SimpleEncIrv9716x16)
| TEST (TestExecutables, SimpleEncIrv974x4)
| TEST (TestExecutables, SimpleEncIrv971024x4)
| TEST (TestExecutables, SimpleEncIrv974x1024)
| TEST (TestExecutables, SimpleEncIrv97512x8)
| TEST (TestExecutables, SimpleEncIrv978x512)
| TEST (TestExecutables, SimpleEncIrv97256x16)
| TEST (TestExecutables, SimpleEncIrv9716x256)
| TEST (TestExecutables, SimpleEncIrv97128x32)
| TEST (TestExecutables, SimpleEncIrv9732x128)
| TEST (TestExecutables, SimpleEncIrv9764x64Tiles33x33D5)
| TEST (TestExecutables, SimpleEncIrv9764x64Tiles33x33D6)
| TEST (TestExecutables, SimpleEncIrv9764x6416bit)
| TEST (TestExecutables, SimpleEncIrv9764x6416bitGray)
| TEST (TestExecutables, SimpleEncRev5364x6416bit)
| TEST (TestExecutables, SimpleEncRev5364x6416bitGray)
| TEST (TestExecutables, SimpleEncRev5364x64)
| TEST (TestExecutables, SimpleEncRev5332x32)
| TEST (TestExecutables, SimpleEncRev534x4)
| TEST (TestExecutables, SimpleEncRev531024x4)
| TEST (TestExecutables, SimpleEncRev534x1024)
| TEST (TestExecutables, SimpleEncRev5364x64Tiles33x33D5)
| TEST (TestExecutables, SimpleEncRev5364x64Tiles33x33D6)
| TEST (TestExecutables, SimpleEncIrv9764x64Yuv)
| TEST (TestExecutables, SimpleEncRev5364x64Yuv)
| TEST (TestExecutables, SimpleEncIrv97TallNarrow)
| TEST (TestExecutables, SimpleEncIrv97TallNarrow1)
| TEST (TestExecutables, SimpleEncRev53TallNarrow)
| TEST (TestExecutables, SimpleEncRev53TallNarrow1)
| TEST (TestExecutables, DpxEnc1280x72010bitLeNuke11)
| TEST (TestExecutables, DpxEnc1280x72010bitBeNuke11)
| TEST (TestExecutables, DpxEnc1280x72016bitLeNuke11)
| TEST (TestExecutables, DpxEnc1280x72016bitBeNuke11)
| TEST (TestExecutables, DpxEnc1280x72010bitResolve18)
| TEST (TestExecutables, DpxEnc1280x72016bitResolve18)
| TEST (TestExecutables, SimpleEncIrv97Qfactor50)
| TEST (TestExecutables, SimpleEncIrv97Qfactor50Yuv)
| TEST (TestExecutables, SimpleEncIrv97Qfactor50Gray)
int | main (int argc, char **argv)

## Macro Definition Documentation

## ◆ COMPARE_FILES_PATH

#define COMPARE_FILES_PATH "./compare_files"

Definition at line 109 of file test_executables.cpp.

Referenced by compare_files().

## ◆ COMPRESS_EXECUTABLE

#define COMPRESS_EXECUTABLE "./ojph_compress"

Definition at line 124 of file test_executables.cpp.

Referenced by run_ojph_compress(), and TEST().

## ◆ EXPAND_EXECUTABLE

#define EXPAND_EXECUTABLE "./ojph_expand"

Definition at line 123 of file test_executables.cpp.

Referenced by run_ojph_compress_expand(), run_ojph_expand(), and TEST().

## ◆ MSE_PAE_PATH

#define MSE_PAE_PATH "./mse_pae"

Definition at line 108 of file test_executables.cpp.

Referenced by run_mse_pae().

## ◆ OUT_FILE_DIR

#define OUT_FILE_DIR "./"

Definition at line 106 of file test_executables.cpp.

Referenced by compare_files(), run_mse_pae(), run_ojph_compress(), run_ojph_compress_expand(), and run_ojph_expand().

## ◆ REF_FILE_DIR

#define REF_FILE_DIR "./jp2k_test_codestreams/openjph/references/"

Definition at line 107 of file test_executables.cpp.

Referenced by run_mse_pae(), and run_ojph_compress().

## ◆ SRC_FILE_DIR

#define SRC_FILE_DIR "./jp2k_test_codestreams/openjph/"

Definition at line 105 of file test_executables.cpp.

Referenced by compare_files(), and run_ojph_expand().

## ◆ TOL_DOUBLE

#define TOL_DOUBLE 0.01

Definition at line 132 of file test_executables.cpp.

Referenced by run_mse_pae().

## ◆ TOL_INTEGER

#define TOL_INTEGER 1

Definition at line 133 of file test_executables.cpp.

Referenced by run_mse_pae().

## Function Documentation

## ◆ compare_files()

void compare_files | ( | const std::string & | base_filename,
|  | const std::string & | extended_base_fname,
|  | const std::string & | ext )

Definition at line 243 of file test_executables.cpp.

References COMPARE_FILES_PATH, execute(), OUT_FILE_DIR, and SRC_FILE_DIR.

## ◆ execute()

int execute | ( | const std::string & | cmd,
|  | std::string & | result )
| static

Definition at line 73 of file test_executables.cpp.

References ojph_pclose(), and ojph_popen().

Referenced by compare_files(), run_mse_pae(), run_ojph_compress(), run_ojph_compress_expand(), run_ojph_expand(), TEST(), and TEST().

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv )

Definition at line 1518 of file test_executables.cpp.

## ◆ ojph_pclose()

int ojph_pclose | ( | FILE * | stream | ) |
| inlinestatic

Definition at line 60 of file test_executables.cpp.

Referenced by execute().

## ◆ ojph_popen()

FILE * ojph_popen | ( | const char * | command,
|  | const char * | modes )
| inlinestatic

Definition at line 47 of file test_executables.cpp.

Referenced by execute().

## ◆ run_mse_pae()

void run_mse_pae | ( | const std::string & | base_filename,
|  | const std::string & | out_ext,
|  | const std::string & | ref_filename,
|  | const std::string & | yuv_specs,
|  | int | num_components,
|  | double * | mse,
|  | int * | pae )

Definition at line 198 of file test_executables.cpp.

References execute(), MSE_PAE_PATH, OUT_FILE_DIR, REF_FILE_DIR, TOL_DOUBLE, and TOL_INTEGER.

Referenced by TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), and TEST().

## ◆ run_ojph_compress()

void run_ojph_compress | ( | const std::string & | ref_filename,
|  | const std::string & | base_filename,
|  | const std::string & | extended_base_fname,
|  | const std::string & | out_ext,
|  | const std::string & | extra_options )

Definition at line 138 of file test_executables.cpp.

References COMPRESS_EXECUTABLE, execute(), OUT_FILE_DIR, and REF_FILE_DIR.

Referenced by TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), and TEST().

## ◆ run_ojph_compress_expand()

void run_ojph_compress_expand | ( | const std::string & | base_filename,
|  | const std::string & | out_ext,
|  | const std::string & | decode_ext )

Definition at line 179 of file test_executables.cpp.

References execute(), EXPAND_EXECUTABLE, and OUT_FILE_DIR.

Referenced by TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), and TEST().

## ◆ run_ojph_expand()

void run_ojph_expand | ( | const std::string & | base_filename,
|  | const std::string & | src_ext,
|  | const std::string & | out_ext )

Definition at line 160 of file test_executables.cpp.

References execute(), EXPAND_EXECUTABLE, OUT_FILE_DIR, and SRC_FILE_DIR.

Referenced by TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), TEST(), and TEST().

## ◆ TEST() [1/85]

TEST | ( | TestExecutables | ,
|  | DpxEnc1280x72010bitBeNuke11 | )

Definition at line 1388 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [2/85]

TEST | ( | TestExecutables | ,
|  | DpxEnc1280x72010bitLeNuke11 | )

Definition at line 1372 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [3/85]

TEST | ( | TestExecutables | ,
|  | DpxEnc1280x72010bitResolve18 | )

Definition at line 1436 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [4/85]

TEST | ( | TestExecutables | ,
|  | DpxEnc1280x72016bitBeNuke11 | )

Definition at line 1420 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [5/85]

TEST | ( | TestExecutables | ,
|  | DpxEnc1280x72016bitLeNuke11 | )

Definition at line 1404 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [6/85]

TEST | ( | TestExecutables | ,
|  | DpxEnc1280x72016bitResolve18 | )

Definition at line 1452 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [7/85]

TEST | ( | TestExecutables | ,
|  | OpenJPHCompressNoArguments | )

Definition at line 265 of file test_executables.cpp.

References COMPRESS_EXECUTABLE, and execute().

## ◆ TEST() [8/85]

TEST | ( | TestExecutables | ,
|  | OpenJPHExpandNoArguments | )

Definition at line 277 of file test_executables.cpp.

References execute(), and EXPAND_EXECUTABLE.

## ◆ TEST() [9/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecIrv53BhvhbLowLatency | )

Definition at line 852 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [10/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecIrv971024x4 | )

Definition at line 343 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [11/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecIrv97128x32 | )

Definition at line 415 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [12/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecIrv9716x16 | )

Definition at line 319 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [13/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecIrv9716x256 | )

Definition at line 403 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [14/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecIrv97256x16 | )

Definition at line 391 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [15/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecIrv9732x128 | )

Definition at line 427 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [16/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecIrv9732x32 | )

Definition at line 307 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [17/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecIrv974x1024 | )

Definition at line 355 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [18/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecIrv974x4 | )

Definition at line 331 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [19/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecIrv97512x8 | )

Definition at line 367 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [20/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecIrv9764x64 | )

Definition at line 295 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [21/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecIrv9764x6416bit | )

Definition at line 799 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [22/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecIrv9764x6416bitGray | )

Definition at line 811 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [23/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecIrv9764x64GrayTiles | )

Definition at line 787 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [24/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecIrv9764x64TilesCPRL | )

Definition at line 621 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [25/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecIrv9764x64TilesCPRL33 | )

Definition at line 691 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [26/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecIrv9764x64TilesCPRL33x33 | )

Definition at line 761 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [27/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecIrv9764x64TilesLRCP | )

Definition at line 565 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [28/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecIrv9764x64TilesLRCP33 | )

Definition at line 635 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [29/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecIrv9764x64TilesLRCP33x33 | )

Definition at line 705 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [30/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecIrv9764x64TilesPCRL | )

Definition at line 607 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [31/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecIrv9764x64TilesPCRL33 | )

Definition at line 677 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [32/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecIrv9764x64TilesPCRL33x33 | )

Definition at line 747 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [33/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecIrv9764x64TilesRLCP | )

Definition at line 579 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [34/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecIrv9764x64TilesRLCP33 | )

Definition at line 649 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [35/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecIrv9764x64TilesRLCP33x33 | )

Definition at line 719 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [36/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecIrv9764x64TilesRPCL | )

Definition at line 593 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [37/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecIrv9764x64TilesRPCL33 | )

Definition at line 663 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [38/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecIrv9764x64TilesRPCL33x33 | )

Definition at line 733 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [39/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecIrv9764x64TilesYuv | )

Definition at line 536 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [40/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecIrv9764x64Yuv | )

Definition at line 506 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [41/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecIrv978x512 | )

Definition at line 379 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [42/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecRev531024x4 | )

Definition at line 478 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [43/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecRev5332x32 | )

Definition at line 452 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [44/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecRev534x1024 | )

Definition at line 491 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [45/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecRev534x4 | )

Definition at line 465 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [46/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecRev5364x64 | )

Definition at line 439 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [47/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecRev5364x6416bit | )

Definition at line 823 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [48/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecRev5364x6416bitGray | )

Definition at line 836 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [49/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecRev5364x64GrayTiles | )

Definition at line 774 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [50/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecRev5364x64TilesYuv | )

Definition at line 551 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [51/85]

TEST | ( | TestExecutables | ,
|  | SimpleDecRev5364x64Yuv | )

Definition at line 521 of file test_executables.cpp.

References run_mse_pae(), and run_ojph_expand().

## ◆ TEST() [52/85]

TEST | ( | TestExecutables | ,
|  | SimpleEncIrv971024x4 | )

Definition at line 929 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [53/85]

TEST | ( | TestExecutables | ,
|  | SimpleEncIrv97128x32 | )

Definition at line 1025 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [54/85]

TEST | ( | TestExecutables | ,
|  | SimpleEncIrv9716x16 | )

Definition at line 897 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [55/85]

TEST | ( | TestExecutables | ,
|  | SimpleEncIrv9716x256 | )

Definition at line 1009 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [56/85]

TEST | ( | TestExecutables | ,
|  | SimpleEncIrv97256x16 | )

Definition at line 993 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [57/85]

TEST | ( | TestExecutables | ,
|  | SimpleEncIrv9732x128 | )

Definition at line 1041 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [58/85]

TEST | ( | TestExecutables | ,
|  | SimpleEncIrv9732x32 | )

Definition at line 881 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [59/85]

TEST | ( | TestExecutables | ,
|  | SimpleEncIrv974x1024 | )

Definition at line 945 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [60/85]

TEST | ( | TestExecutables | ,
|  | SimpleEncIrv974x4 | )

Definition at line 913 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [61/85]

TEST | ( | TestExecutables | ,
|  | SimpleEncIrv97512x8 | )

Definition at line 961 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [62/85]

TEST | ( | TestExecutables | ,
|  | SimpleEncIrv9764x64 | )

Definition at line 865 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [63/85]

TEST | ( | TestExecutables | ,
|  | SimpleEncIrv9764x6416bit | )

Definition at line 1091 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [64/85]

TEST | ( | TestExecutables | ,
|  | SimpleEncIrv9764x6416bitGray | )

Definition at line 1107 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [65/85]

TEST | ( | TestExecutables | ,
|  | SimpleEncIrv9764x64Tiles33x33D5 | )

Definition at line 1058 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [66/85]

TEST | ( | TestExecutables | ,
|  | SimpleEncIrv9764x64Tiles33x33D6 | )

Definition at line 1075 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [67/85]

TEST | ( | TestExecutables | ,
|  | SimpleEncIrv9764x64Yuv | )

Definition at line 1270 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [68/85]

TEST | ( | TestExecutables | ,
|  | SimpleEncIrv978x512 | )

Definition at line 977 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [69/85]

TEST | ( | TestExecutables | ,
|  | SimpleEncIrv97Qfactor50 | )

Definition at line 1468 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [70/85]

TEST | ( | TestExecutables | ,
|  | SimpleEncIrv97Qfactor50Gray | )

Definition at line 1504 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [71/85]

TEST | ( | TestExecutables | ,
|  | SimpleEncIrv97Qfactor50Yuv | )

Definition at line 1486 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [72/85]

TEST | ( | TestExecutables | ,
|  | SimpleEncIrv97TallNarrow | )

Definition at line 1308 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [73/85]

TEST | ( | TestExecutables | ,
|  | SimpleEncIrv97TallNarrow1 | )

Definition at line 1324 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [74/85]

TEST | ( | TestExecutables | ,
|  | SimpleEncRev531024x4 | )

Definition at line 1203 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [75/85]

TEST | ( | TestExecutables | ,
|  | SimpleEncRev5332x32 | )

Definition at line 1171 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [76/85]

TEST | ( | TestExecutables | ,
|  | SimpleEncRev534x1024 | )

Definition at line 1219 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [77/85]

TEST | ( | TestExecutables | ,
|  | SimpleEncRev534x4 | )

Definition at line 1187 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [78/85]

TEST | ( | TestExecutables | ,
|  | SimpleEncRev5364x64 | )

Definition at line 1155 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [79/85]

TEST | ( | TestExecutables | ,
|  | SimpleEncRev5364x6416bit | )

Definition at line 1123 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [80/85]

TEST | ( | TestExecutables | ,
|  | SimpleEncRev5364x6416bitGray | )

Definition at line 1139 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [81/85]

TEST | ( | TestExecutables | ,
|  | SimpleEncRev5364x64Tiles33x33D5 | )

Definition at line 1236 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [82/85]

TEST | ( | TestExecutables | ,
|  | SimpleEncRev5364x64Tiles33x33D6 | )

Definition at line 1253 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [83/85]

TEST | ( | TestExecutables | ,
|  | SimpleEncRev5364x64Yuv | )

Definition at line 1290 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [84/85]

TEST | ( | TestExecutables | ,
|  | SimpleEncRev53TallNarrow | )

Definition at line 1340 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().

## ◆ TEST() [85/85]

TEST | ( | TestExecutables | ,
|  | SimpleEncRev53TallNarrow1 | )

Definition at line 1356 of file test_executables.cpp.

References run_mse_pae(), run_ojph_compress(), and run_ojph_compress_expand().